<!--
 * @Author: wangdandan wangdandan@yuanduyun.com
 * @Date: 2022-10-03 15:04:59
 * @LastEditors: wangdandan wangdandan@yuanduyun.com
 * @LastEditTime: 2022-10-14 10:30:01
 * @FilePath: /ydy-vue-design/packages/ydyui-vue/README.md
 * @Description: 初始化文件
-->
<h1 align="center">YDY-VUE3-DESIGN</h1>
<p align="center">
远度云VUE3组件库
</p>

## 🌈 Features

- 基于 Vue3 框架
- 支持 JSX、TSX 与 Vue 单文件组件
- Jest + Vue3 plugins实现单元测试
- Eslint + Prettier + Husky 语法检查
- 采用 Vite 构建
- Vitepress 文档网站搭建

## 🔧 Usage

### Install

Install with npm

```sh
npm install vue-ydyui --save
```

Install with yarn

```sh
yarn add vue-ydyui
```

Install with pnpm

```sh
pnpm add vue-ydyui
```

### Quick Start

```ts
import { createApp } from 'vue'
import App from './App.vue'

import YdyUI from 'vue-ydyui'
import 'vue-ydyui/style.css'

createApp(App).use(YdyUI).mount('#app')
```

```vue
<template>
  <y-button>Button</y-button>
</template>
```
